config() {
  NEW="$1.new"
  OLD="$1"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for netpkg to consider...
}

mychmod() {
  if [ -a .new ]; then
    chmod $1 $2.new
  else
    chmod $1 $2
  fi
}

config etc/dovecot.conf
config etc/dovecot-ldap.conf
config etc/dovecot-sql.conf
config etc/rc.d/rc.dovecot
config etc/dovecot-openssl.cnf
config etc/dovecot-mkcert.sh
mychmod 700 etc/dovecot-mkcert.sh
mychmod 600 etc/dovecot-openssl.cnf


# check if required user & groups exist &
# otherwise add them
if ! grep -q dovecot /etc/group; then
        groupadd dovecot
fi
if ! grep -q dovecot /etc/passwd; then
        useradd -g dovecot -d /var/run/dovecot -c 'Dovecot' -s /bin/false dovecot
fi

if [ ! -d /var/run/dovecot ] ; then
        mkdir -p /var/run/dovecot
fi
chown dovecot.dovecot /var/run/dovecot


( cd usr/lib/dovecot/imap ; rm -rf lib01_acl_plugin.so )
( cd usr/lib/dovecot/imap ; ln -sf ../lib01_acl_plugin.so lib01_acl_plugin.so )
( cd usr/lib/dovecot/imap ; rm -rf lib20_convert_plugin.so )
( cd usr/lib/dovecot/imap ; ln -sf ../lib20_convert_plugin.so lib20_convert_plugin.so )
( cd usr/lib/dovecot/imap ; rm -rf lib20_expire_plugin.so )
( cd usr/lib/dovecot/imap ; ln -sf ../lib20_expire_plugin.so lib20_expire_plugin.so )
( cd usr/lib/dovecot/imap ; rm -rf lib20_fts_plugin.so )
( cd usr/lib/dovecot/imap ; ln -sf ../lib20_fts_plugin.so lib20_fts_plugin.so )
( cd usr/lib/dovecot/imap ; rm -rf lib21_fts_squat_plugin.so )
( cd usr/lib/dovecot/imap ; ln -sf ../lib21_fts_squat_plugin.so lib21_fts_squat_plugin.so )
( cd usr/lib/dovecot/imap ; rm -rf lib02_lazy_expunge_plugin.so )
( cd usr/lib/dovecot/imap ; ln -sf ../lib02_lazy_expunge_plugin.so lib02_lazy_expunge_plugin.so )
( cd usr/lib/dovecot/imap ; rm -rf lib20_mail_log_plugin.so )
( cd usr/lib/dovecot/imap ; ln -sf ../lib20_mail_log_plugin.so lib20_mail_log_plugin.so )
( cd usr/lib/dovecot/imap ; rm -rf lib20_mbox_snarf_plugin.so )
( cd usr/lib/dovecot/imap ; ln -sf ../lib20_mbox_snarf_plugin.so lib20_mbox_snarf_plugin.so )
( cd usr/lib/dovecot/imap ; rm -rf lib10_quota_plugin.so )
( cd usr/lib/dovecot/imap ; ln -sf ../lib10_quota_plugin.so lib10_quota_plugin.so )
( cd usr/lib/dovecot/imap ; rm -rf lib11_trash_plugin.so )
( cd usr/lib/dovecot/imap ; ln -sf ../lib11_trash_plugin.so lib11_trash_plugin.so )
( cd usr/lib/dovecot/imap ; rm -rf lib20_zlib_plugin.so )
( cd usr/lib/dovecot/imap ; ln -sf ../lib20_zlib_plugin.so lib20_zlib_plugin.so )
( cd usr/lib/dovecot/lda ; rm -rf lib01_acl_plugin.so )
( cd usr/lib/dovecot/lda ; ln -sf ../lib01_acl_plugin.so lib01_acl_plugin.so )
( cd usr/lib/dovecot/lda ; rm -rf lib20_convert_plugin.so )
( cd usr/lib/dovecot/lda ; ln -sf ../lib20_convert_plugin.so lib20_convert_plugin.so )
( cd usr/lib/dovecot/lda ; rm -rf lib20_expire_plugin.so )
( cd usr/lib/dovecot/lda ; ln -sf ../lib20_expire_plugin.so lib20_expire_plugin.so )
( cd usr/lib/dovecot/lda ; rm -rf lib20_fts_plugin.so )
( cd usr/lib/dovecot/lda ; ln -sf ../lib20_fts_plugin.so lib20_fts_plugin.so )
( cd usr/lib/dovecot/lda ; rm -rf lib21_fts_squat_plugin.so )
( cd usr/lib/dovecot/lda ; ln -sf ../lib21_fts_squat_plugin.so lib21_fts_squat_plugin.so )
( cd usr/lib/dovecot/lda ; rm -rf lib20_mail_log_plugin.so )
( cd usr/lib/dovecot/lda ; ln -sf ../lib20_mail_log_plugin.so lib20_mail_log_plugin.so )
( cd usr/lib/dovecot/lda ; rm -rf lib10_quota_plugin.so )
( cd usr/lib/dovecot/lda ; ln -sf ../lib10_quota_plugin.so lib10_quota_plugin.so )
( cd usr/lib/dovecot/lda ; rm -rf lib11_trash_plugin.so )
( cd usr/lib/dovecot/lda ; ln -sf ../lib11_trash_plugin.so lib11_trash_plugin.so )
( cd usr/lib/dovecot/pop3 ; rm -rf lib20_convert_plugin.so )
( cd usr/lib/dovecot/pop3 ; ln -sf ../lib20_convert_plugin.so lib20_convert_plugin.so )
( cd usr/lib/dovecot/pop3 ; rm -rf lib20_expire_plugin.so )
( cd usr/lib/dovecot/pop3 ; ln -sf ../lib20_expire_plugin.so lib20_expire_plugin.so )
( cd usr/lib/dovecot/pop3 ; rm -rf lib20_fts_plugin.so )
( cd usr/lib/dovecot/pop3 ; ln -sf ../lib20_fts_plugin.so lib20_fts_plugin.so )
( cd usr/lib/dovecot/pop3 ; rm -rf lib21_fts_squat_plugin.so )
( cd usr/lib/dovecot/pop3 ; ln -sf ../lib21_fts_squat_plugin.so lib21_fts_squat_plugin.so )
( cd usr/lib/dovecot/pop3 ; rm -rf lib02_lazy_expunge_plugin.so )
( cd usr/lib/dovecot/pop3 ; ln -sf ../lib02_lazy_expunge_plugin.so lib02_lazy_expunge_plugin.so )
( cd usr/lib/dovecot/pop3 ; rm -rf lib20_mail_log_plugin.so )
( cd usr/lib/dovecot/pop3 ; ln -sf ../lib20_mail_log_plugin.so lib20_mail_log_plugin.so )
( cd usr/lib/dovecot/pop3 ; rm -rf lib20_mbox_snarf_plugin.so )
( cd usr/lib/dovecot/pop3 ; ln -sf ../lib20_mbox_snarf_plugin.so lib20_mbox_snarf_plugin.so )
( cd usr/lib/dovecot/pop3 ; rm -rf lib10_quota_plugin.so )
( cd usr/lib/dovecot/pop3 ; ln -sf ../lib10_quota_plugin.so lib10_quota_plugin.so )
( cd usr/lib/dovecot/pop3 ; rm -rf lib20_zlib_plugin.so )
( cd usr/lib/dovecot/pop3 ; ln -sf ../lib20_zlib_plugin.so lib20_zlib_plugin.so )
